# TetriStats

A modern Android application for tracking and comparing your Tetris scores across different game versions.

## Features

- **Score Tracking**: Log scores from different Tetris versions with details like start/end level and lines cleared
- **Score Conversion**: Convert scores between different Tetris games using accurate scaling factors
- **Statistics**: View your performance history and statistics
- **Game-Specific Adjustments**: Accounts for differences in scoring systems between games

## Supported Games

- NES Tetris
- Game Boy Tetris
- Tetris DX
- Tetris DS
- Tetris Effect
- Rosy Retrospection DX
- Apotris

## Technical Details

- Built with Kotlin
- Uses Android Architecture Components (ViewModel, LiveData, Room)
- Material Design UI components
- MVVM architecture

## Screenshots

[Screenshots coming soon]

## Installation

1. Download the latest APK from the Releases section
2. Enable installation from unknown sources in your device settings
3. Install the APK

Or build from source:
```
git clone https://github.com/yourusername/TetriStats.git
cd TetriStats
./gradlew assembleDebug
```

## License

MIT License 